Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Audit logs

The audit and access log, its facets and retention.

List audit-log entries

GET/audit-logs
Scope audit_logs:viewRead-only

Query parameters

NameType
limitnumber
cursorstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/audit-logs?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Get audit-log facets/filters

GET/audit-logs/facets
Scope audit_logs:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/audit-logs/facets" \  -H "Authorization: Bearer $KLERC_TOKEN"

Get audit-log retention config

GET/audit-logs/config
Scope audit_logs:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/audit-logs/config" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update audit-log retention config

PUT/audit-logs/config
Scope audit_logs:exportWrites data

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PUT "https://api.klerc.co/api/v1/audit-logs/config" \  -H "Authorization: Bearer $KLERC_TOKEN"